org.scalatest.junit

# JUnitRunner

#### class JUnitRunner extends Runner

A JUnit `Runner` that knows how to run any ScalaTest `Suite`. This enables you to provide a JUnit `RunWith` annotation on any ScalaTest `Suite`. Here's an example:

    import org.junit.runner.RunWith
    import org.scalatest.junit.JUnitRunner
    import org.scalatest.FunSuite

    @RunWith(classOf[JUnitRunner])
    class MySuite extends FunSuite {
      // ...
    }

This `RunWith` annotation will enable the `MySuite` class to be run by JUnit 4.

Attributes
  final

Linear Supertypes
Runner, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. JUnitRunner
2. Runner
3. AnyRef
4. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new JUnitRunner (suiteClass: Class[Suite])

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### val getDescription : Description

    Get a JUnit `Description` for this ScalaTest `Suite` of tests.

    Get a JUnit `Description` for this ScalaTest `Suite` of tests.

    return a `Description` of this suite of tests

    Definition Classes
      JUnitRunner → Runner

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def run (notifier: RunNotifier): Unit

    Run this `Suite` of tests, reporting results to the passed `RunNotifier`.

    Run this `Suite` of tests, reporting results to the passed `RunNotifier`. This class's implementation of this method invokes `run` on an instance of the `suiteClass` `Class` passed to the primary constructor, passing in a `Reporter` that forwards to the `RunNotifier` passed to this method as `notifier`.

    notifier

      the JUnit `RunNotifier` to which to report the results of executing this suite of tests

    Definition Classes
      JUnitRunner → Runner

19. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def testCount (): Int

    Returns the number of tests that are expected to run when this ScalaTest `Suite` is run.

    Returns the number of tests that are expected to run when this ScalaTest `Suite` is run.

    returns

      the expected number of tests that will run when this suite is run

    Definition Classes
      JUnitRunner → Runner

21. #### def toString (): String

    Definition Classes
      AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Runner

### Inherited from AnyRef

### Inherited from Any